services:
  elk:
    image: "registry.on-premise.itarian.com/op-elk:1.4.2"
    networks:
      itsm:
        ipv4_address: 172.50.0.99
    volumes:
      - "/opt/itsm/elk/elasticsearch:/var/lib/elasticsearch"
    restart: always
  router:
    image: "registry.on-premise.itarian.com/op-router:1.0.0"
    ports:
      - 443:443
      - 80:80
    environment:
      - ITSM_DOMAIN
      - BIP_PUBLIC_SUBDOMAIN=bip
      - ITSM_KIBANA_BA_PASS
      - ITSM_RABBIT_BA_PASS
      - ITSM_CONSUL_BA_PASS
      - ITSM_ONPREMISE_BUILD_VERSION=_ONPREMISE_VERSION
      - ITSM_WEB_BUILD_SOURCE=registry.on-premise.itarian.com/op-ms-app
      - ITSM_WEB_BUILD_VERSION=9.2.43974.24060-prod
      - ITSM_CONSUL_BUILD_SOURCE=registry.on-premise.itarian.com/op-consul
      - ITSM_CONSUL_BUILD_VERSION=1.15.5
      - ITSM_MS_DC_BUILD_VERSION=v0.6.3
      - ITSM_MS_DC_BUILD_SOURCE=registry.on-premise.itarian.com/op-ms-dc
      - ITSM_MS_CUSTOMER_BUILD_VERSION=v3.4.0
      - ITSM_MS_CUSTOMER_BUILD_SOURCE=registry.on-premise.itarian.com/op-ms-customer
      - ITSM_MS_COMPANY_BUILD_VERSION=v2.3.0
      - ITSM_MS_COMPANY_BUILD_SOURCE=registry.on-premise.itarian.com/op-ms-company
      - ITSM_MS_DEVICE_BUILD_VERSION=v3.4.0
      - ITSM_MS_DEVICE_BUILD_SOURCE=registry.on-premise.itarian.com/op-ms-device
      - ITSM_MS_FR_UI_BUILD_VERSION=v3.6.16
      - ITSM_MS_FR_UI_BUILD_SOURCE=registry.on-premise.itarian.com/op-ms-fr-ui
      - ITSM_MS_AUDIT_LOG_BUILD_VERSION=1.5.26
      - ITSM_MS_AUDIT_LOG_BUILD_SOURCE=registry.on-premise.itarian.com/op-ms-al
      - ITSM_MS_GLOBAL_FILE_EVENT_BUILD_VERSION=2.3.30
      - ITSM_MS_GLOBAL_FILE_EVENT_BUILD_SOURCE=registry.on-premise.itarian.com/op-ms-gfe
      - ITSM_MS_REPORTS_CSV_BUILD_VERSION=1.3.9
      - ITSM_MS_REPORTS_CSV_BUILD_SOURCE=registry.on-premise.itarian.com/op-ms-report
      - ITSM_MS_REBRANDING_BUILD_VERSION=1.0.11
      - ITSM_MS_REBRANDING_BUILD_SOURCE=registry.on-premise.itarian.com/op-rcc-gen
      - ITSM_MS_RMM_COLLECTOR_BUILD_VERSION=3.1.1
      - ITSM_MS_RMM_COLLECTOR_BUILD_SOURCE=registry.on-premise.itarian.com/op-ms-rmm-collector
      - ITSM_MS_RMM_COLLECTOR_UI_BUILD_VERSION=2.2.0
      - ITSM_MS_RMM_COLLECTOR_UI_BUILD_SOURCE=registry.on-premise.itarian.com/op-ms-rmm-collector-ui
      - ITSM_MS_RMM_SEARCHER_BUILD_VERSION=2.7.0
      - ITSM_MS_RMM_SEARCHER_BUILD_SOURCE=registry.on-premise.itarian.com/op-ms-rmm-searcher
      - ITSM_MS_DEVICE_STATUS_WATCHER_BUILD_SOURCE=registry.on-premise.itarian.com/op-ms-rmm-device-status-watcher
      - ITSM_MS_DEVICE_STATUS_WATCHER_BUILD_VERSION=1.2.6
      - ITSM_MS_AUTH_CACHED_PROXY_BUILD_VERSION=1.1.18
      - ITSM_MS_AUTH_CACHED_PROXY_BUILD_SOURCE=registry.on-premise.itarian.com/op-ms-auth-cached-proxy
      - ITSM_MS_RTDC_API_BUILD_VERSION=1.18.9
      - ITSM_MS_RTDC_API_BUILD_SOURCE=registry.on-premise.itarian.com/op-ms-rtdc-api
      - ITSM_MS_RTDC_RELAY_BUILD_VERSION=2.2.8
      - ITSM_MS_RTDC_RELAY_BUILD_SOURCE=registry.on-premise.itarian.com/op-ms-rtdc-relay
      - ITSM_MS_BIP_BUILD_VERSION=2.5.34
      - ITSM_MS_BIP_BUILD_SOURCE=registry.on-premise.itarian.com/op-ms-bip
      - ITSM_MS_CHERGA_BUILD_VERSION=1.7.7
      - ITSM_MS_CHERGA_BUILD_SOURCE=registry.on-premise.itarian.com/op-ms-cherga
      - ITSM_MS_TASKER_BUILD_VERSION=1.5.22
      - ITSM_MS_TASKER_BUILD_SOURCE=registry.on-premise.itarian.com/op-ms-tasker
      - ITSM_MS_SCHEDULER_BUILD_VERSION=0.0.7
      - ITSM_MS_SCHEDULER_BUILD_SOURCE=registry.on-premise.itarian.com/op-ms-scheduler
      - ITSM_MS_DLP_BUILD_VERSION=v0.2.42
      - ITSM_MS_DLP_BUILD_SOURCE=registry.on-premise.itarian.com/op-ms-dlp
      - ITSM_STAT_BUILD_VERSION=1.0.2
      - ITSM_STAT_BUILD_SOURCE=registry.on-premise.itarian.com/op-stat
      - ITSM_STAT_EXPORTER_BUILD_VERSION=0.0.4
      - ITSM_STAT_EXPORTER_BUILD_SOURCE=registry.on-premise.itarian.com/op-stats-exporter
      - ITSM_BIN_WIN_CRC_BUILD_VERSION=9.1.48830.24030
      - ITSM_BIN_WIN_CRC_BUILD_SOURCE=registry.on-premise.itarian.com/op-bin-win-crc
      - ITSM_BIN_OSX_BUILD_VERSION=9.1.48829.24030
      - ITSM_BIN_OSX_BUILD_SOURCE=registry.on-premise.itarian.com/op-bin-osx-crc
      - ITSM_BIN_AV_DB_BUILD_VERSION=1.0.20240121
      - ITSM_BIN_AV_DB_BUILD_SOURCE=registry.on-premise.itarian.com/op-bin-av-db
      - ITSM_BIN_CDN_BUILD_VERSION=1.2.20240121
      - ITSM_BIN_CDN_BUILD_SOURCE=registry.on-premise.itarian.com/op-bin-cdn
      - ITSM_BE_MIGRATOR_BUILD_VERSION=1.0.4
      - ITSM_BE_MIGRATOR_BUILD_SOURCE=registry.on-premise.itarian.com/op-pm-spm-migrator
      - ITSM_BE_SPM_SERVICE_BUILD_VERSION=2.7.6
      - ITSM_BE_SPM_SERVICE_BUILD_SOURCE=registry.on-premise.itarian.com/op-be-spm-service
      - ITSM_BE_SPM_CONSUMER_BUILD_VERSION=1.9.0
      - ITSM_BE_SPM_CONSUMER_BUILD_SOURCE=registry.on-premise.itarian.com/op-be-spm-consumer
      - ITSM_BE_PM_CVE_BUILD_VERSION=v1.1.5
      - ITSM_BE_PM_CVE_BUILD_IMAGE=registry.on-premise.itarian.com/op-cve-volatile-emigrant
      - ITSM_BE_PM_SERVICE_BUILD_VERSION=1.18.5
      - ITSM_BE_PM_SERVICE_BUILD_SOURCE=registry.on-premise.itarian.com/op-be-pm-service
      - ITSM_BE_PM_CONSUMER_BUILD_VERSION=2.15.2
      - ITSM_BE_PM_CONSUMER_BUILD_SOURCE=registry.on-premise.itarian.com/op-be-pm-consumer
      - ITSM_BE_ALERT_SERVICE_BUILD_VERSION=2.15.2
      - ITSM_BE_ALERT_SERVICE_BUILD_SOURCE=registry.on-premise.itarian.com/op-be-alert-service
      - ITSM_INITDB_BUILD_VERSION=1.0.0
      - ITSM_INITDB_BUILD_SOURCE=registry.on-premise.itarian.com/op-initdb
      - ITSM_TINODE_BUILD_VERSION=v1.6.4
      - ITSM_TINODE_BUILD_SOURCE=registry.on-premise.itarian.com/op-tinode
      - ITSM_MS_VERDICT_REQUEST_BUILD_VERSION=1.2.1
      - ITSM_MS_VERDICT_REQUEST_BUILD_SOURCE=registry.on-premise.itarian.com/op-ms-verdict-request
      - ITSM_MS_EXTERNAL_DEVICE_BUILD_VERSION=v1.1.8
      - ITSM_MS_EXTERNAL_DEVICE_BUILD_SOURCE=registry.on-premise.itarian.com/op-ms-external-device
      - ITSM_MS_FR_TASKER_BUILD_VERSION=1.1.0
      - ITSM_MS_FR_TASKER_BUILD_SOURCE=registry.on-premise.itarian.com/op-ms-fr-tasker
    networks:
      itsm:
        ipv4_address: 172.50.0.98
    volumes:
      - "/opt/itsm/web/certs:/opt/server/certs"
      - "/opt/itsm/verdict-db:/opt/itsm/verdict-db"
    restart: always
  web:
    image: "registry.on-premise.itarian.com/op-ms-app:9.2.43974.24060-prod"
    networks:
      itsm:
        ipv4_address: 172.50.0.100
    depends_on:
      - postgres
      - mail
      - ms_rebranding
      - redis
      - ms_cherga
      - memcache
    volumes:
      - "/opt/itsm/web/runtime:/var/www/mdm/src/protected/runtime"
      - "/opt/itsm/web/certs:/etc/nginx/certs"
      - "/opt/itsm/verdict-db:/usr/src/app/storage"
      - "/opt/itsm/web/assets:/var/www/mdm/1/src/static/download"
    environment:
      - ITSM_DOMAIN
      - ITSM_XMPP_HOST
      - ITSM_XMPP_IP
      - ITSM_RMM_IP
      - ITSM_WEB_IP
      - ITSM_PLUGINS_IP
      - ITSM_SMTP_HOST
      - ITSM_SMTP_AUTH
      - ITSM_SMTP_LOGIN
      - ITSM_SMTP_PASSWORD
      - ITSM_SMTP_FROM
      - ITSM_SMTP_FROM_NAME
      - ITSM_TURN_SERVERS
      - ITSM_TURN_SECRET=itsm-turn-secret
      - ITSM_DEBUG
      - ITSM_ROUTER_REDIS_HOST=redis
      - CAM_HOST
      - CAM_LOGIN
      - CAM_SECRET
    restart: always
  redis:
    image: "redis:6.2.14"
    restart: always
    environment:
      - ALLOW_EMPTY_PASSWORD=yes
    networks:
      itsm:
        ipv4_address: 172.50.0.101
    volumes:
      - "/opt/itsm/redis:/data"
  memcache:
    image: "memcached:1.6.23"
    restart: always
    networks:
      itsm:
        ipv4_address: 172.50.0.102
  postgres:
    image: "postgres:13.14"
    restart: always
    environment:
      POSTGRES_PASSWORD: postgres
    volumes:
      - "/opt/itsm/postgres:/var/lib/postgresql/data"
    networks:
      itsm:
        ipv4_address: 172.50.0.103
  initdb:
    image: "registry.on-premise.itarian.com/op-initdb:1.0.0"
    environment:
      POSTGRES_PASSWORD: postgres
    networks:
      itsm:
  mail:
    image: "namshi/smtp:latest"
    networks:
      itsm:
        ipv4_address: 172.50.0.104
    restart: always
  rabbit:
    image: "rabbitmq:3.12.12-management"
    environment:
      RABBITMQ_DEFAULT_USER: itsm
      RABBITMQ_DEFAULT_PASS: itsm
    networks:
      itsm:
        ipv4_address: 172.50.0.105
    hostname: itsm-rabbit
    restart: always
  consul:
    image: "registry.on-premise.itarian.com/op-consul:1.15.5"
    hostname: consul
    networks:
      itsm:
        ipv4_address: 172.50.0.106
    environment:
      ITSM_DOMAIN:
      CONSUL_BIND_INTERFACE: eth0
    volumes:
      - "/opt/itsm/consul/config:/consul/config"
      - "/opt/itsm/consul/data:/consul/data"
    restart: always
  mongo:
    image: "mongo:4.4.29"
    networks:
      itsm:
        ipv4_address: 172.50.0.107
    volumes:
      - "/opt/itsm/mongo/data:/data/db"
    restart: always
    command: --quiet
  ms_dc:
    image: "registry.on-premise.itarian.com/op-ms-dc:v0.6.3"
    networks:
      itsm:
        ipv4_address: 172.50.0.108
    depends_on:
      - rabbit
      - consul
    environment:
      ITSM_SERVICE_START_DELAY: 40
      ITSM_SERVICE_RESOLVER: "docker"
    restart: always
  ms_customer:
    image: "registry.on-premise.itarian.com/op-ms-customer:v3.4.0"
    networks:
      itsm:
        ipv4_address: 172.50.0.109
    depends_on:
      - rabbit
      - consul
    environment:
      ITSM_ENV: "itsm"
      ITSM_CONSUL_URI: "http://consul:8500"
      ITSM_SERVICE_START_DELAY: 40
      ITSM_SERVICE_RESOLVER: "docker"
    restart: always
  ms_company:
    image: "registry.on-premise.itarian.com/op-ms-company:v2.3.0"
    networks:
      itsm:
        ipv4_address: 172.50.0.110
    depends_on:
      - rabbit
      - consul
      - postgres
    environment:
      ITSM_ENV: "itsm"
      ITSM_CONSUL_URI: "http://consul:8500"
      ITSM_SERVICE_START_DELAY: 40
      ITSM_SERVICE_RESOLVER: "docker"
    restart: always
  ms_device:
    image: "registry.on-premise.itarian.com/op-ms-device:v3.4.0"
    networks:
      itsm:
        ipv4_address: 172.50.0.111
    depends_on:
      - rabbit
      - consul
      - postgres
    environment:
      ITSM_ENV: "itsm"
      ITSM_CONSUL_URI: "http://consul:8500"
      ITSM_SERVICE_START_DELAY: 40
      ITSM_SERVICE_RESOLVER: "docker"
    restart: always
  ms_fr_ui:
    image: "registry.on-premise.itarian.com/op-ms-fr-ui:v3.6.16"
    networks:
      itsm:
        ipv4_address: 172.50.0.112
    depends_on:
      - rabbit
      - consul
      - mongo
    environment:
      ITSM_ENV: "itsm"
      ITSM_CONSUL_URI: "http://consul:8500"
      ITSM_SERVICE_RESOLVER: "docker"
    restart: always
    volumes:
      - "/opt/itsm/verdict-db:/usr/src/app/storage"
  ms_audit_log:
    image: "registry.on-premise.itarian.com/op-ms-al:1.5.26"
    networks:
      itsm:
        ipv4_address: 172.50.0.114
    depends_on:
      - rabbit
      - consul
      - elk
      - ms_auth_cached_proxy
    environment:
      ITSM_SERVICE_START_DELAY: 40
      ITSM_CONSUL_URI: "http://consul:8500"
      ITSM_SERVICE_RESOLVER: "docker"
    restart: always
    command: >
      /bin/bash -c "
        sleep 60;
        /bin/bash /bootstrap.sh
      "
  ms_global_file_event:
    image: "registry.on-premise.itarian.com/op-ms-gfe:2.3.30"
    environment:
      ITSM_ENV: "itsm"
      ITSM_CONSUL_URI: "http://consul:8500"
      ITSM_SERVICE_RESOLVER: "docker"
    networks:
      itsm:
        ipv4_address: 172.50.0.116
    depends_on:
      - rabbit
      - consul
      - mongo
    restart: always
  ms_reports_csv:
    image: "registry.on-premise.itarian.com/op-ms-report:1.3.9"
    volumes:
      - "/opt/itsm/web/assets:/var/downloads"
    networks:
      itsm:
        ipv4_address: 172.50.0.117
    depends_on:
      - consul
      - rabbit
      - web
    extra_hosts:
      - "${ITSM_WEB_HOST}:${ITSM_WEB_IP}"
    environment:
      ITSM_ENV: itsm
      ITSM_CONFIG_MANAGER: consul
      ITSM_CONSUL_URI: http://consul:8500
      ITSM_DOMAIN: ${ITSM_DOMAIN}
      ITSM_WEB_IP: ${ITSM_WEB_IP}
      ITSM_SERVICE_START_DELAY: 40
      ITSM_SERVICE_RESOLVER: "docker"
    restart: always
    command: >
      /bin/bash -c "
        sleep 40;
        /bin/bash /on-premise-bootstrap.sh
      "
  ms_rebranding:
    image: "registry.on-premise.itarian.com/op-rcc-gen:1.0.11"
    networks:
      itsm:
        ipv4_address: 172.50.0.118
    depends_on:
      - consul
    restart: always
    command: >
      /bin/bash -c "
        sleep 40;
        /bin/bash /bootstrap.sh
      "
  ms_rmm_collector:
    image: "registry.on-premise.itarian.com/op-ms-rmm-collector:3.1.1"
    networks:
      itsm:
        ipv4_address: 172.50.0.119
    environment:
      ITSM_SERVICE_START_DELAY: 40
      ITSM_ENV: "itsm"
      ITSM_CONSUL_URI: "http://consul:8500"
      ITSM_SERVICE_RESOLVER: "docker"
    restart: always
    depends_on:
      - consul
    extra_hosts:
      - "${ITSM_WEB_HOST}:${ITSM_WEB_IP}"
    command: >
      /bin/bash -c "
        sleep 60;
        /bin/bash /bootstrap.sh
      "
  ms_rmm_collector_ui:
    image: "registry.on-premise.itarian.com/op-ms-rmm-collector-ui:2.2.0"
    networks:
      itsm:
        ipv4_address: 172.50.0.120
    environment:
      ITSM_SERVICE_START_DELAY: 40
      ITSM_LOG_STDOUT_DISABLED: "true"
      ITSM_LOG_INTERNAL_ENABLED: "true"
      ITSM_ENV: "itsm"
      ITSM_CONSUL_URI: "http://consul:8500"
      ITSM_SERVICE_RESOLVER: "docker"
    depends_on:
      - consul
    extra_hosts:
      - "${ITSM_WEB_HOST}:${ITSM_WEB_IP}"
    restart: always
    command: >
      /bin/bash -c "
        sleep 60;
        /bin/bash /bootstrap.sh
      "
  ms_rmm_searcher:
    image: "registry.on-premise.itarian.com/op-ms-rmm-searcher:2.7.0"
    networks:
      itsm:
        ipv4_address: 172.50.0.121
    depends_on:
      - consul
    environment:
      ITSM_SERVICE_START_DELAY: 40
      ITSM_LOG_STDOUT_DISABLED: "true"
      ITSM_LOG_INTERNAL_ENABLED: "true"
      ITSM_ENV: "itsm"
      ITSM_CONSUL_URI: "http://consul:8500"
      ITSM_SERVICE_RESOLVER: "docker"
    restart: always
    command: >
      /bin/bash -c "
        sleep 60;
        /bin/bash /bootstrap.sh
      "
  ms_auth_cached_proxy:
    image: "registry.on-premise.itarian.com/op-ms-auth-cached-proxy:1.1.18"
    networks:
      itsm:
        ipv4_address: 172.50.0.122
    depends_on:
      - web
      - consul
    environment:
      ITSM_ENV: itsm
      ITSM_DOMAIN: ${ITSM_DOMAIN}
      ITSM_SERVICE_RESOLVER: "docker"
      ITSM_SERVICE_START_DELAY: 40
    entrypoint: /on-premise-bootstrap.sh
    restart: always
  ms_rtdc_api:
    image: "registry.on-premise.itarian.com/op-ms-rtdc-api:1.18.9"
    networks:
      itsm:
        ipv4_address: 172.50.0.123
    depends_on:
      - redis
    environment:
      ITSM_ENV: itsm
      ITSM_DOMAIN: ${ITSM_DOMAIN}
      ITSM_CONSUL_URI: http://consul:8500
      ITSM_MS_NODE_ID: "01"
      ITSM_CA_CERT_PATH:
      ITSM_SERVICE_RESOLVER: "docker"
      ITSM_SERVICE_START_DELAY: 40
    extra_hosts:
      - "${ITSM_XMPP_HOST}:${ITSM_XMPP_IP}"
      - "${ITSM_WEB_HOST}:${ITSM_WEB_IP}"
    entrypoint:
      - "/bin/bash"
      - -c
      - "sleep 40; /bin/bash /on-premise-bootstrap.sh"
    restart: always
    volumes:
      - "/opt/itsm/rtdc-api/certs:/opt/certs"
  ms_rtdc_relay:
    image: "registry.on-premise.itarian.com/op-ms-rtdc-relay:2.2.8"
    networks:
      itsm:
        ipv4_address: 172.50.0.124
    depends_on:
      - redis
    environment:
      ITSM_ENV: itsm
      ITSM_DOMAIN: ${ITSM_DOMAIN}
      ITSM_CONSUL_URI: http://consul:8500
      ITSM_MS_NODE_ID: "01"
      ITSM_SERVICE_RESOLVER: "docker"
    extra_hosts:
      - "${ITSM_XMPP_HOST}:${ITSM_XMPP_IP}"
      - "${ITSM_WEB_HOST}:${ITSM_WEB_IP}"
    entrypoint: "/bin/bash /on-premise-bootstrap.sh"
    restart: always
  itsm_turn:
    image: "registry.on-premise.itarian.com/op-turn:1.0.1"
    network_mode: "host"
    environment:
      - EXTERNAL_IP
      - STATIC_AUTH_SECRET=itsm-turn-secret
      - REALM=cmdm
    volumes:
      - "/opt/itsm/turn:/var/lib/turn"
    restart: always
  ms_bip:
    image: "registry.on-premise.itarian.com/op-ms-bip:2.5.34"
    networks:
      itsm:
        ipv4_address: 172.50.0.125
    depends_on:
      - consul
      - mongo
      - cdn
      - web
    environment:
      ITSM_ENV: itsm
      ITSM_DOMAIN: ${ITSM_DOMAIN}
      ITSM_CONSUL_URI: http://consul:8500
      ITSM_SERVICE_START_DELAY: 40
      BIP_PUBLIC_SUBDOMAIN: "bip"
      BIP_PUBLIC_SCHEME: "https"
      ITSM_SERVICE_RESOLVER: "docker"
    entrypoint: "/on-premise-bootstrap.sh"
    restart: always
    volumes:
      - "/opt/itsm/bip/customer:/opt/bulk-installation-package/customer"
  ms_cherga:
    image: "registry.on-premise.itarian.com/op-ms-cherga:1.7.7"
    networks:
      itsm:
        ipv4_address: 172.50.0.126
    environment:
      ITSM_ENV: itsm
      ITSM_CONSUL_URI: http://consul:8500
      ITSM_DOMAIN: ${ITSM_DOMAIN}
      ITSM_SERVICE_RESOLVER: "docker"
    restart: always
    extra_hosts:
      - "${ITSM_WEB_HOST}:${ITSM_WEB_IP}"
    depends_on:
      - rabbit
      - consul
      - mongo
    command: >
      /bin/bash -c "
        sleep 60;
        /bin/bash /bootstrap.sh
      "
  ms_tasker:
    image: "registry.on-premise.itarian.com/op-ms-tasker:1.5.22"
    networks:
      itsm:
        ipv4_address: 172.50.0.127
    environment:
      ITSM_ENV: itsm
      ITSM_CONSUL_URI: http://consul:8500
      ITSM_DOMAIN: ${ITSM_DOMAIN}
      ITSM_SERVICE_RESOLVER: "docker"
    restart: always
    depends_on:
      - consul
    command: >
      /bin/bash -c "
        sleep 60;
        /bin/bash /bootstrap.sh
      "
  ms_scheduler:
    image: "registry.on-premise.itarian.com/op-ms-scheduler:0.0.7"
    networks:
      itsm:
        ipv4_address: 172.50.0.128
    environment:
      ITSM_ENV: itsm
      ITSM_CONSUL_URI: http://consul:8500
      ITSM_SERVICE_RESOLVER: "docker"
    restart: always
    depends_on:
      - consul
      - mongo
      - rabbit
    command: >
      /bin/bash -c "
        sleep 40;
        /bin/bash /bootstrap.sh
      "
  ms_dlp:
    image: "registry.on-premise.itarian.com/op-ms-dlp:v0.2.42"
    networks:
      itsm:
        ipv4_address: 172.50.0.129
    environment:
      ITSM_ENV: itsm
      ITSM_CONSUL_URI: http://consul:8500
      ITSM_SERVICE_RESOLVER: "docker"
    restart: always
    depends_on:
      - consul
      - mongo
      - rabbit
    command: >
      /bin/bash -c "
        sleep 40;
        /bin/bash /bootstrap.sh
      "
  stat:
    image: "registry.on-premise.itarian.com/op-stat:1.0.2"
    networks:
      itsm:
        ipv4_address: 172.50.0.130
    depends_on:
      - rabbit
    restart: always
  stat_exporter:
    image: "registry.on-premise.itarian.com/op-stats-exporter:0.0.4"
    networks:
      itsm:
        ipv4_address: 172.50.0.131
    depends_on:
      - stat
      - mongo
    restart: always
    environment:
      - ITSM_DOMAIN
  bin_win_crc:
    image: "registry.on-premise.itarian.com/op-bin-win-crc:9.1.48830.24030"
    volumes:
      - "itsm-bin-win-crc:/opt/binaries"
  bin_osx_crc:
    image: "registry.on-premise.itarian.com/op-bin-osx-crc:9.1.48829.24030"
    volumes:
      - "itsm-bin-osx-crc:/opt/binaries"
  bin_av_db:
    image: "registry.on-premise.itarian.com/op-bin-av-db:1.0.20240121"
    networks:
      itsm:
        ipv4_address: 172.50.0.132
    restart: always
  cdn:
    image: "registry.on-premise.itarian.com/op-bin-cdn:1.2.20240121"
    networks:
      itsm:
        ipv4_address: 172.50.0.133
    restart: always
    volumes:
      - type: volume
        source: "itsm-bin-win-crc"
        target: /var/cdn/itsm/release/win/remote_control/latest
        volume:
          nocopy: true
      - type: volume
        source: "itsm-bin-osx-crc"
        target: /var/cdn/itsm/release/mac/remote_control/latest
        volume:
          nocopy: true
    environment:
      - ITSM_DOMAIN
  be_migrator:
    image: "registry.on-premise.itarian.com/op-pm-spm-migrator:1.0.4"
    networks:
      itsm:
        ipv4_address: 172.50.0.134
    depends_on:
      - postgres
  be-pm-service:
    image: "registry.on-premise.itarian.com/op-be-pm-service:1.18.5"
    networks:
      itsm:
        ipv4_address: 172.50.0.136
    depends_on:
      - postgres
      - redis
      - rabbit
      - consul
      - be_migrator
    environment:
      ITSM_SERVICE_START_DELAY: 40
      ITSM_ENV: "itsm"
      ITSM_CONSUL_URI: "http://consul:8500"
      ITSM_SERVICE_RESOLVER: "docker"
      ITSM_DOMAIN: ${ITSM_DOMAIN}
    restart: always
    entrypoint: "/on-premise-bootstrap.sh"
  be-pm-consumer:
    image: "registry.on-premise.itarian.com/op-be-pm-consumer:2.15.2"
    networks:
      itsm:
        ipv4_address: 172.50.0.137
    depends_on:
      - postgres
      - redis
      - rabbit
      - consul
      - be_migrator
    environment:
      ITSM_SERVICE_START_DELAY: 40
      ITSM_ENV: "itsm"
      ITSM_CONSUL_URI: "http://consul:8500"
      ITSM_SERVICE_RESOLVER: "docker"
    restart: always
  be-alert-service:
    image: "registry.on-premise.itarian.com/op-be-alert-service:2.15.2"
    networks:
      itsm:
        ipv4_address: 172.50.0.138
    depends_on:
      - postgres
      - rabbit
      - consul
      - be_migrator
    environment:
      ITSM_SERVICE_START_DELAY: 40
      ITSM_ENV: "itsm"
      ITSM_CONSUL_URI: "http://consul:8500"
      ITSM_SERVICE_RESOLVER: "docker"
    restart: always
  kutt:
    image: "registry.on-premise.itarian.com/op-kutt:1.0.0"
    networks:
      itsm:
        ipv4_address: 172.50.0.139
    environment:
      SITE_NAME: "ITSM OnPrem URL cutter"
      MAIL_HOST: "no-reply@${ITSM_DOMAIN}"
      MAIL_PORT: 465
      MAIL_SECURE: "true"
      MAIL_USER: "no-reply@${ITSM_DOMAIN}"
      MAIL_PASSWORD: ""
      MAIL_FROM: "no-reply@${ITSM_DOMAIN}"
      DEFAULT_DOMAIN: kutt.${ITSM_DOMAIN}
      LINK_LENGTH: 6
      DISALLOW_REGISTRATION: "true"
      DISALLOW_ANONYMOUS_LINKS: "true"
      USER_LIMIT_PER_DAY: 50000
      NON_USER_COOLDOWN: 0
      DEFAULT_MAX_STATS_PER_LINK: 5000
      CUSTOM_DOMAIN_USE_HTTPS: "true"
      JWT_SECRET: jwtsecret
      ADMIN_EMAILS: "admin@${ITSM_DOMAIN}"
      DB_HOST: postgres
      DB_NAME: kuttdb
      DB_USER: kutt
      DB_SSL: "false"
      DB_PASSWORD: kuttpass
      REDIS_HOST: redis
      REDIS_DB: 5
    restart: always
  be-spm-service:
    image: "registry.on-premise.itarian.com/op-be-spm-service:2.7.6"
    networks:
      itsm:
        ipv4_address: 172.50.0.140
    depends_on:
      - postgres
      - redis
      - rabbit
      - consul
      - be_migrator
    environment:
      ITSM_ENV: "itsm"
      ITSM_CONSUL_URI: "http://consul:8500"
      ITSM_SERVICE_RESOLVER: "docker"
      ITSM_DOMAIN: ${ITSM_DOMAIN}
    restart: always
  be-spm-consumer:
    image: "registry.on-premise.itarian.com/op-be-spm-consumer:1.9.0"
    networks:
      itsm:
        ipv4_address: 172.50.0.141
    depends_on:
      - postgres
      - redis
      - rabbit
      - consul
      - be_migrator
    environment:
      ITSM_SERVICE_START_DELAY: 40
      ITSM_ENV: "itsm"
      ITSM_CONSUL_URI: "http://consul:8500"
      ITSM_SERVICE_RESOLVER: "docker"
    restart: always
  ms_device_status_watcher:
    image: "registry.on-premise.itarian.com/op-ms-rmm-device-status-watcher:1.2.6"
    networks:
      itsm:
        ipv4_address: 172.50.0.142
    depends_on:
      - redis
      - consul
    environment:
      ITSM_CONSUL_URI: "http://consul:8500"
      ITSM_SERVICE_RESOLVER: "docker"
    restart: always
  tinode:
    image: "registry.on-premise.itarian.com/op-tinode:v1.6.4"
    networks:
      itsm:
        ipv4_address: 172.50.0.143
    depends_on:
      - mongo
      - consul
    environment:
      ITSM_CONSUL_URI: "http://consul:8500"
      ITSM_SERVICE_RESOLVER: "docker"
    restart: always
  be-pm-cve:
    image: "registry.on-premise.itarian.com/op-cve-volatile-emigrant:v1.1.5"
    networks:
      itsm:
        ipv4_address: 172.50.0.144
    depends_on:
      - postgres
      - consul
    environment:
      ITSM_ENV: "itsm"
      ITSM_CONSUL_URI: "http://consul:8500"
      ITSM_SERVICE_RESOLVER: "docker"
    restart: always
  ms_verdict_request:
    image: "registry.on-premise.itarian.com/op-ms-verdict-request:1.2.1"
    networks:
      itsm:
        ipv4_address: 172.50.0.145
    depends_on:
      - consul
    environment:
      ITSM_ENV: "itsm"
      ITSM_CONSUL_URI: "http://consul:8500"
      ITSM_SERVICE_RESOLVER: "docker"
    restart: always
  ms_external_device:
    image: "registry.on-premise.itarian.com/op-ms-external-device:v1.1.8"
    networks:
      itsm:
        ipv4_address: 172.50.0.146
    depends_on:
      - consul
      - rabbit
    environment:
      ITSM_ENV: "itsm"
      ITSM_CONSUL_URI: "http://consul:8500"
      ITSM_SERVICE_RESOLVER: "docker"
    restart: always
  ms_fr_tasker:
    image: "registry.on-premise.itarian.com/op-ms-fr-tasker:1.1.0"
    networks:
      itsm:
        ipv4_address: 172.50.0.147
    depends_on:
      - consul
      - rabbit
      - mongo
    environment:
      ITSM_ENV: "itsm"
      ITSM_CONSUL_URI: "http://consul:8500"
      ITSM_SERVICE_RESOLVER: "docker"
    restart: always

networks:
  itsm:
    ipam:
      config:
        - subnet: 172.50.0.0/24

volumes:
  itsm-bin-win-crc:
  itsm-bin-osx-crc:

